Delete a query rule DELETE /_query_rules/{ruleset_id}/_rule/{rule_id} Auth Delete a query rule within a query ruleset. This is a destructive action that is only recoverable by re-adding the same rule with the create or update query rule API. About deleting a query rule Required privileges Cluster privileges manage_search_query_rules Expand all Path parameters ruleset_id string required The unique identifier of the query ruleset containing the rule to delete rule_id string required The unique identifier of the query rule within the specified ruleset to delete Response 200 application/json acknowledged boolean required For a successful response, this value is always true. On failure, an exception is returned instead.